JpegExif (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.jpeg
Class JpegExif

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.jpeg.JpegExif

    public final class JpegExif

extends java.lang.Object

Reader of Exif data embedded in a JPEG App1 block. This makes use of the TIFF module, since an Exif stream is really an embedded TIFF file; but it is designed to fail cleanly if the TIFF module is absent.

Author:
  Gary McGath

Constructor Summary
`JpegExif()`

Method Summary
`boolean` | `isExifProfileOK()` Returns `true` if the Exif IFD is present and satisfies the profile requirements.
`static boolean` | `isTiffAvailable()` Checks if the TIFF module is available.
`RepInfo` | `readExifData(java.io.DataInputStream dstream, JhoveBase je, int length)` Reads the Exif data from the current point at the data stream, puts it into a temporary file, and makes a RepInfo object available.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JpegExif

    public JpegExif()

Method Detail

### isTiffAvailable

    public static boolean isTiffAvailable()

  Checks if the TIFF module is available.

### readExifData

    public RepInfo readExifData(java.io.DataInputStream dstream,
                                JhoveBase je,
                                int length)

  Reads the Exif data from the current point at the data stream, puts it into a temporary file, and makes a RepInfo object available. This should be called only if isTiffAvailable() has returned `true`.

### isExifProfileOK

    public boolean isExifProfileOK()

  Returns `true` if the Exif IFD is present and satisfies the profile requirements.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD